Bug 222983 - yum-updatesd run amok sucking up all the CPU
yum-updatesd run amok sucking up all the CPU
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-17 06:05 EST by Andre Robatino
Modified: 2014-01-21 17:56 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-26 21:00:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2007-01-17 06:05:26 EST
Description of problem:
  At about 5 AM local time, I noticed yum-updatesd sucking up all the available
CPU without letup.  I'm guessing this started about 4:02 AM when the daily
chores get done, but can't be sure.  I tried unsuccessfully to kill it with
signals 15 and 2, and finally had to use 9.

Version-Release number of selected component (if applicable):
yum-updatesd-3.0.3-1.fc6 along with all other current updates

How reproducible:
don't know

Steps to Reproduce:
1.  Not sure, may happen after 4:02 AM?  If so then wait.
  
Actual results:
yum-updatesd sucks up 90+% of the CPU continuously without letup.  Must be
killed with signal 9 (or maybe something other than 15 or 2 that I didn't try).

Expected results:
yum-updatesd using reasonable resources.
Comment 1 Andre Robatino 2007-01-18 03:45:57 EST
  It happened again - this time I noticed it at about 3:30 AM.

top - 03:43:58 up 10:01,  1 user,  load average: 1.35, 1.32, 1.23
Tasks: 123 total,   2 running, 120 sleeping,   0 stopped,   1 zombie
Cpu(s): 99.3%us,  0.7%sy,  0.0%ni,  0.0%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:    513632k total,   504240k used,     9392k free,     3156k buffers
Swap:  1048568k total,    89980k used,   958588k free,    78704k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND            
 2715 root      25   0 48692  32m 3772 R 97.8  6.4 207:37.64 yum-updatesd       
 3086 andre     15   0 40708  10m 7500 S  1.3  2.0   0:06.88 gnome-terminal     
 2941 root      15   0  274m  61m  10m S  0.3 12.3  26:46.52 Xorg               
 7292 andre     15   0  299m 128m  24m S  0.3 25.7  35:06.00 firefox-bin        
 9728 root      15   0  2168 1024  792 R  0.3  0.2   0:00.05 top
Comment 2 Andre Robatino 2007-01-18 03:56:25 EST
  Attaching to it with strace seems to indicate that it's not making any system
calls.

[root@localhost ~]# strace -p 2715
Process 2715 attached - interrupt to quit
Process 2715 detached
[root@localhost ~]#

(waited 10 or 20 seconds)
Comment 3 Andre Robatino 2007-01-26 21:00:13 EST
  Shortly before the problem started, yum crashed with a segfault, and I had to
delete the __db* files in /var/lib/rpm to straighten out the RPM database.  But
after about 2 days it never happened again.  Closing.

Note You need to log in before you can comment on or make changes to this bug.